## python-jira 1.0.10

=== Makefile ===
all: info clean flake8 test docs upload release
.PHONY: all docs upload info req

PACKAGE_NAME := $(shell python setup.py --name)
PACKAGE_VERSION := $(shell python setup.py --version)
PYTHON_PATH := $(shell which python)
PLATFORM := $(shell uname -s | awk '{print tolower($0)}')
DIR := $(shell dirname $(realpath $(lastword $(MAKEFILE_LIST))))
PYTHON_VERSION := $(shell python3 -c "import sys; print('py%s%s' % sys.version_info[0:2] + ('-conda' if 'conda' in sys.version or 'Continuum' in sys.version else ''))")
PYENV_HOME := $(DIR)/.tox/$(PYTHON_VERSION)-$(PLATFORM)/
ifneq (,$(findstring conda,$(PYTHON_VERSION)))
CONDA:=1
endif

ifndef GIT_BRANCH
GIT_BRANCH=$(shell git branch | sed -n '/\* /s///p')
endif

info:
	@echo "INFO:	Building $(PACKAGE_NAME):$(PACKAGE_VERSION) on $(GIT_BRANCH) branch"
	@echo "INFO:	Python $(PYTHON_VERSION) from $(PYENV_HOME) [$(CONDA)]"

clean:
	@find . -name "*.pyc" -delete
	@rm -rf .tox/*-$(PLATFORM) .tox/docs dist/* .tox/dist .tox/log docs/build/*

package:
	python setup.py sdist bdist_wheel build_sphinx

req:
	@$(PYENV_HOME)/bin/requires.io update-site -t ac3bbcca32ae03237a6aae2b02eb9411045489bb -r $(PACKAGE_NAME)

install: prepare
	$(PYENV_HOME)/bin/pip install .

install-sdk:
	# https://developer.atlassian.com/docs/getting-started/set-up-the-atlassian-plugin-sdk-and-build-a-project/install-the-atlassian-sdk-on-a-linux-or-mac-system#InstalltheAtlassianSDKonaLinuxorMacsystem-Homebrew
	which atlas-run-standalone || brew tap atlassian/tap && brew install atlassian/tap/atlassian-plugin-sdk

uninstall:
	$(PYENV_HOME)/bin/pip uninstall -y $(PACKAGE_NAME)

venv: $(PYENV_HOME)/bin/activate

# virtual environment depends on requriements files
$(PYENV_HOME)/bin/activate: requirements*.txt
	@echo "INFO:	(Re)creating virtual environment..."
ifdef CONDA
	test -e $(PYENV_HOME)/bin/activate || conda create -y --prefix $(PYENV_HOME) pip
else
	test -e $(PYENV_HOME)/bin/activate || virtualenv --python=$(PYTHON_PATH) --system-site-packages $(PYENV_HOME)
endif
	$(PYENV_HOME)/bin/pip install -q -r requirements.txt -r requirements-opt.txt -r requirements-dev.txt
	touch $(PYENV_HOME)/bin/activate

prepare: venv
	pyenv install -s 2.7.13
	pyenv install -s 3.4.5
	pyenv install -s 3.5.2
	pyenv install -s 3.6.0
	pyenv local 2.7.13 3.4.5 3.5.2 3.6.0
	@echo "INFO:	=== Prearing to run for package:$(PACKAGE_NAME) platform:$(PLATFORM) py:$(PYTHON_VERSION) dir:$(DIR) ==="
	if [ -f ${HOME}/testspace/testspace ]; then ${HOME}/testspace/testspace config url ${TESTSPACE_TOKEN}@pycontribs.testspace.com/jira/tests ; fi;

testspace:
	${HOME}/testspace/testspace publish build/results.xml

flake8: venv
	@echo "INFO:	flake8"
	$(PYENV_HOME)/bin/python -m flake8
	$(PYENV_HOME)/bin/python -m flake8 --install-hook 2>/dev/null || true

test: prepare flake8
	@echo "INFO:	test"
	$(PYENV_HOME)/bin/python setup.py build test build_sphinx sdist bdist_wheel check --restructuredtext --strict

test-cli:
	$(PYENV_HOME)/bin/ipython -c "import jira; j = jira.JIRA('https://pycontribs.atlassian.net'); j.server_info()" -i

test-all:
	@echo "INFO:	test-all (extended/matrix tests)"
	# tox should not run inside virtualenv because it does create and use multiple virtualenvs
	pip install -q tox tox-pyenv
	python -m tox --skip-missing-interpreters true


docs:
	@echo "INFO:	Building the docs"
	$(PYENV_HOME)/bin/pip install sphinx
	$(PYENV_HOME)/bin/python setup.py build_sphinx
	@mkdir -p docs/build/docset
	@mkdir -p docs/build/html/docset
# cannot put doc2dash into requirements.txt file because is using pinned requirements
#	@DOC2DASH_OPTS=$(shell [ -d "$HOME/Library/Application Support/doc2dash/DocSets" ] && echo '--add-to-global')
#	doc2dash --force --name jira docs/build/html --destination docs/build/docset --icon docs/_static/python-32.png --online-redirect-url https://jira.readthedocs.io/en/stable/ $(DOC2DASH_OPTS)
#	cd docs/build/docset && tar --exclude='.DS_Store' -czf ../html/docset/jira.tgz jira.docset
#	# TODO: publish the docs

tag:
	bumpversion --feature --no-input
	git push origin master
	git push --tags

release: req
ifeq ($(GIT_BRANCH),master)
	tag
else
	upload
	web

	@echo "INFO:	Skipping release on this branch."
endif

upload:
ifeq ($(GIT_BRANCH),develop)
	@echo "INFO:	Upload package to testpypi.python.org"
	$(PYENV_HOME)/bin/python setup.py check --restructuredtext --strict
	$(PYENV_HOME)/bin/python setup.py sdist bdist_wheel upload -r https://testpypi.python.org/pypi
endif
ifeq ($(GIT_BRANCH),master)
	@echo "INFO:	Upload package to pypi.python.org"
	$(PYENV_HOME)/bin/python setup.py check --restructuredtext --strict
	$(PYENV_HOME)/bin/python setup.py sdist bdist_wheel upload
endif

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr

ordereddict; python_version < '3.1'
argparse; python_version < '3.2'
requests-oauthlib>=0.6.1
requests>=2.10.0
requests_toolbelt
setuptools>=20.10.1
six>=1.10.0
defusedxml

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/JIRAPythonClient.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/JIRAPythonClient.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/JIRAPythonClient"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/JIRAPythonClient"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
python-jira (1.0.10-1) unstable; urgency=medium

  * Initial release (Closes: #729114)

 -- Sophie Brun <sophie@freexian.com>  Tue, 24 Oct 2017 10:52:42 +0200

=== debian/control ===
Source: python-jira
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Sophie Brun <sophie@freexian.com>
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools (>= 52~),
 python-all,
 python-pbr,
 python-pytest,
 python-pytest-cov,
 python-pytest-runner,
 python-setuptools,
 python-sphinx,
 python-sphinx-rtd-theme,
 python3-all,
 python3-pbr,
 python3-pytest,
 python3-pytest-cov,
 python3-pytest-runner,
 python3-setuptools,
 python3-sphinx,
 python3-sphinx-rtd-theme,
 subunit,
 testrepository
Standards-Version: 4.1.1
Homepage: https://github.com/pycontribs/jira
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-jira.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-jira.git
Testsuite: autopkgtest-pkg-python

Package: python-jira
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Suggests: python-jira-doc
Description: JIRA Python library (Python 2)
 This package contains a library that eases the use of the JIRA REST API
 from Python.
 .
 This package installs the library for Python 2.

Package: python3-jira
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Suggests: python-jira-doc
Description: JIRA Python library (Python 3)
 This package contains a library that eases the use of the JIRA REST API
 from Python.
 .
 This package installs the library for Python 3.

Package: python-jira-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: JIRA Python library (common documentation)
 This package contains a library that eases the use of the JIRA REST API
 from Python.
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/pycontribs/jira.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=python_distutils

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml docs/ build/html # HTML generator

=== debian/watch ===
version=4
https://pypi.debian.net/jira/jira-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-jira 2.0.0

=== Makefile ===
all: info clean lint test docs dist upload release
.PHONY: all docs upload info req dist

PACKAGE_NAME := $(shell python setup.py --name)
PACKAGE_VERSION := $(shell python setup.py --version)
PYTHON_PATH := $(shell which python)
PLATFORM := $(shell uname -s | awk '{print tolower($$0)}')
ifeq ($(PLATFORM), darwin)
	DIR := $(shell dirname $(realpath $(lastword $(MAKEFILE_LIST))))
else
	DIR := $(shell dirname $(realpath $(MAKEFILE_LIST)))
endif
PYTHON_VERSION := $(shell python3 -c "import sys; print('py%s%s' % sys.version_info[0:2] + ('-conda' if 'conda' in sys.version or 'Continuum' in sys.version else ''))")
ifneq (,$(findstring conda, $(PYTHON_VERSION)))
	#CONDA := $(shell conda info --envs | grep '*' | awk '{print $$1}')
	CONDA := $(CONDA_DEFAULT_ENV)
endif

PREFIX :=
ifndef GIT_BRANCH
GIT_BRANCH=$(shell git branch | sed -n '/\* /s///p')
endif

info:
	@echo "INFO:	Building $(PACKAGE_NAME):$(PACKAGE_VERSION) on $(GIT_BRANCH) branch"
	@echo "INFO:	Python $(PYTHON_VERSION) from '$(PREFIX)' [$(CONDA)]"

clean:
	@find . -name "*.pyc" -delete
	@rm -rf .tox dist/* docs/build/*

package:
	python setup.py sdist bdist_wheel build_sphinx

req:
	@$(PREFIX)requires.io update-site -t ac3bbcca32ae03237a6aae2b02eb9411045489bb -r $(PACKAGE_NAME)

hooks:
	@$(PREFIX)python -m flake8 --install-hook 2>/dev/null || true

install: prepare
	$(PREFIX)pip install .

# https://developer.atlassian.com/docs/getting-started/set-up-the-atlassian-plugin-sdk-and-build-a-project/install-the-atlassian-sdk-on-a-linux-or-mac-system#InstalltheAtlassianSDKonaLinuxorMacsystem-Homebrew
install-sdk:
ifeq ($(PLATFORM), darwin)
	which atlas-run-standalone || brew tap atlassian/tap && brew install atlassian/tap/atlassian-plugin-sdk
else ifeq ($(PLATFORM), linux)
  ifneq ($(USER), root)
	@echo "Install of Atlassian SDK must be run as root (or with sudo)"
	exit 1
  endif
  ifneq ($(wildcard /etc/debian_version),)
	sh -c 'echo "deb https://sdkrepo.atlassian.com/debian/ stable contrib" >/etc/apt/sources.list.d/atlassian_development.list'
	apt-key adv --keyserver hkp://keyserver.ubuntu.com:80 --recv-keys B07804338C015B73
	apt-get install apt-transport-https
	apt-get update
	apt-get install atlassian-plugin-sdk
  else ifneq ($(wildcard /etc/redhat-release),)
	tmp_dir=$(mktemp -d)
	curl https://marketplace.atlassian.com/download/plugins/atlassian-plugin-sdk-rpm/version/42380 -o ${tmp_dir}/atlassian-plugin-sdk.noarch.rpm
	yum -y install ${tmp_dir}/atlassian-plugin-sdk.noarch.rpm
	rm -rf ${tmp_dir}
  else
	@echo "Error: Cannot determine package manager to use to install atlassian-sdk.  Please see:"
	@echo "https://developer.atlassian.com/docs/getting-started/set-up-the-atlassian-plugin-sdk-and-build-a-project/install-the-atlassian-sdk-on-a-linux-or-mac-system"
	exit 1
  endif
endif

uninstall:
	$(PREFIX)pip uninstall -y $(PACKAGE_NAME)

dist:
	$(PREFIX)python setup.py sdist bdist_wheel

prepare:
	@pyenv install -s 2.7.13
	@pyenv install -s 3.4.5
	@pyenv install -s 3.5.2
	@pyenv install -s 3.6.0
	@pyenv local 2.7.13 3.4.5 3.5.2 3.6.0
	@echo "INFO:	=== Preparing to run for package:$(PACKAGE_NAME) platform:$(PLATFORM) py:$(PYTHON_VERSION) dir:$(DIR) ==="
	#if [ -f ${HOME}/testspace/testspace ]; then ${HOME}/testspace/testspace config url ${TESTSPACE_TOKEN}@pycontribs.testspace.com/jira/tests ; fi;

testspace:
	${HOME}/testspace/testspace publish build/results.xml

lint:
	@echo "INFO:	linting...."
	$(PREFIX)tox -e lint

test: prepare lint
	@echo "INFO:	test"
	$(PREFIX)python setup.py build test build_sphinx sdist bdist_wheel check --restructuredtext --strict

test-all:
	@echo "INFO:	test-all (extended/matrix tests)"
	# tox should not run inside virtualenv because it does create and use multiple virtualenvs
	pip install -q tox tox-pyenv
	python -m tox

docs:
	@echo "INFO:	Building the docs"
	$(PREFIX)pip install sphinx sphinx_rtd_theme
	$(PREFIX)python setup.py build_sphinx
	@mkdir -p docs/build/docset
	@mkdir -p docs/build/html/docset
# cannot put doc2dash into requirements.txt file because is using pinned requirements
#	@DOC2DASH_OPTS=$(shell [ -d "$HOME/Library/Application Support/doc2dash/DocSets" ] && echo '--add-to-global')
#	doc2dash --force --name jira docs/build/html --destination docs/build/docset --icon docs/_static/python-32.png --online-redirect-url https://jira.readthedocs.io/en/stable/ $(DOC2DASH_OPTS)
#	cd docs/build/docset && tar --exclude='.DS_Store' -czf ../html/docset/jira.tgz jira.docset
#	# TODO: publish the docs

tag:
	bumpversion --feature --no-input
	git push origin master
	git push --tags

release: req
ifeq ($(GIT_BRANCH),master)
	tag
else
	upload
	web

	@echo "INFO:	Skipping release on this branch."
endif

upload:
	rm -f dist/*
ifeq ($(GIT_BRANCH),develop)
	@echo "INFO:	Upload package to testpypi.python.org"
	$(PREFIX)python setup.py check --restructuredtext --strict
	$(PREFIX)python setup.py sdist bdist_wheel
	$(PREFIX)twine upload --repository-url https://test.pypi.org/legacy/ dist/*
endif
ifeq ($(GIT_BRANCH),master)
	@echo "INFO:	Upload package to pypi.python.org"
	$(PREFIX)python setup.py check --restructuredtext --strict
	$(PREFIX)python setup.py sdist bdist_wheel
	$(PREFIX)twine upload dist/*
endif

=== requirements.txt ===
argparse; python_version<'2.7'
defusedxml
oauthlib[signedtoken]>=1.0.0  # dep of requests-oauthlib, to avoid pycrypto. See: https://github.com/pycontribs/jira/issues/619
pbr>=3.0.0
requests-oauthlib>=0.6.1
requests>=2.10.0
requests_toolbelt
setuptools>=20.10.1
six>=1.10.0

=== docs/Makefile ===
--- 
+++ 
@@ -2,10 +2,11 @@
 #
 
 # You can set these variables from the command line.
-SPHINXOPTS    =
+SPHINXOPTS    = -W
 SPHINXBUILD   = sphinx-build
 PAPER         =
 BUILDDIR      = build
+SOURCE_DATE_EPOCH = $(shell git log -1 --format=%ct)
 
 # Internal variables.
 PAPEROPT_a4     = -D latex_paper_size=a4

=== debian/changelog ===
python-jira (2.0.0-2) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.4.0.
  * Use Python 3 for building docs.
  * Drop Python 2 support
    - Rename CLI python3-jirashell to jirashell
  * Remove openstack-pkg-tools from B-D.

 -- Ondřej Nový <onovy@debian.org>  Tue, 27 Aug 2019 07:56:27 +0200

python-jira (2.0.0-1) unstable; urgency=medium

  * Team upload.
  * Switch watch file to github
  * New upstream version 2.0.0
  * Remove patch (merged upstream)
  * Bump policy version (no changes)
  * Update copyright

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 12 Jan 2019 13:27:25 +0100

python-jira (1.0.10-3) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs

  [ Mattia Rizzolo ]
  * d/source/options: Also ignore the .eggs/ directory.
  * d/control: Add more build-dependencies to run the tests.
  * d/control: Set Rules-Requires-Root:no.
  * d/rules: Use the pybuild build system.
    + Explicitly disable the tests as they require access to the internet.
    + Explicitly rename the binaries.
    + This also avoid a dependency on a tight Python version.
  * Bump debhelper compat level to 12.
    + Install the docs with dh_install instead of dh_installdocs to prevent
      them from being moved due to the changes introduced in dh compat 11
      (see Policy v3.9.7, §12.3).
  * Add a gbp.conf to specify the debian branch.

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 27 Dec 2018 23:02:24 +0100

python-jira (1.0.10-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Sophie Brun ]
  * Import a patch from upstream to fix issue with python3.7 (Closes: #903526)
  * Bump Standards-Version to 4.1.5 (no changes)

 -- Sophie Brun <sophie@freexian.com>  Tue, 31 Jul 2018 14:17:45 +0200

=== debian/control ===
Source: python-jira
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Sophie Brun <sophie@freexian.com>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python3-sphinx,
 python3-sphinx-rtd-theme,
 python3-all,
 python3-flaky,
 python3-pbr,
 python3-pytest,
 python3-pytest-cov,
 python3-pytest-runner,
 python3-setuptools,
 python3-sphinx,
 python3-sphinx-rtd-theme,
 python3-tenacity,
 subunit,
 testrepository,
Standards-Version: 4.4.0
Rules-Requires-Root: no
Homepage: https://github.com/pycontribs/jira
Vcs-Git: https://salsa.debian.org/python-team/modules/python-jira.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-jira
Testsuite: autopkgtest-pkg-python

Package: python3-jira
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-jira-doc,
Description: JIRA Python library (Python 3)
 This package contains a library that eases the use of the JIRA REST API
 from Python.
 .
 This package installs the library for Python 3.

Package: python-jira-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: JIRA Python library (common documentation)
 This package contains a library that eases the use of the JIRA REST API
 from Python.
 .
 This is the common documentation package.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%python-jira-$1.tar.gz%" \
    https://github.com/pycontribs/jira/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## python-jira 3.0

=== Makefile ===
--- 
+++ 
@@ -35,9 +35,6 @@
 req:
 	@$(PREFIX)requires.io update-site -t ac3bbcca32ae03237a6aae2b02eb9411045489bb -r $(PACKAGE_NAME)
 
-hooks:
-	@$(PREFIX)python -m flake8 --install-hook 2>/dev/null || true
-
 install: prepare
 	$(PREFIX)pip install .
 
@@ -51,8 +48,8 @@
 	exit 1
   endif
   ifneq ($(wildcard /etc/debian_version),)
-	sh -c 'echo "deb https://sdkrepo.atlassian.com/debian/ stable contrib" >/etc/apt/sources.list.d/atlassian_development.list'
-	apt-key adv --keyserver hkp://keyserver.ubuntu.com:80 --recv-keys B07804338C015B73
+	sh -c 'echo "deb https://packages.atlassian.com/atlassian-sdk-deb stable contrib" >/etc/apt/sources.list.d/atlassian_development.list'
+	curl -fsSL https://packages.atlassian.com/api/gpg/key/public | apt-key add -
 	apt-get install apt-transport-https
 	apt-get update
 	apt-get install atlassian-plugin-sdk
@@ -75,11 +72,10 @@
 	$(PREFIX)python setup.py sdist bdist_wheel
 
 prepare:
-	@pyenv install -s 2.7.13
-	@pyenv install -s 3.4.5
-	@pyenv install -s 3.5.2
-	@pyenv install -s 3.6.0
-	@pyenv local 2.7.13 3.4.5 3.5.2 3.6.0
+	@pyenv install -s 3.5.7
+	@pyenv install -s 3.6.9
+	@pyenv install -s 3.7.4
+	@pyenv local 3.5.7 3.6.9 3.7.4
 	@echo "INFO:	=== Preparing to run for package:$(PACKAGE_NAME) platform:$(PLATFORM) py:$(PYTHON_VERSION) dir:$(DIR) ==="
 	#if [ -f ${HOME}/testspace/testspace ]; then ${HOME}/testspace/testspace config url ${TESTSPACE_TOKEN}@pycontribs.testspace.com/jira/tests ; fi;
 
@@ -106,11 +102,6 @@
 	$(PREFIX)python setup.py build_sphinx
 	@mkdir -p docs/build/docset
 	@mkdir -p docs/build/html/docset
-# cannot put doc2dash into requirements.txt file because is using pinned requirements
-#	@DOC2DASH_OPTS=$(shell [ -d "$HOME/Library/Application Support/doc2dash/DocSets" ] && echo '--add-to-global')
-#	doc2dash --force --name jira docs/build/html --destination docs/build/docset --icon docs/_static/python-32.png --online-redirect-url https://jira.readthedocs.io/en/stable/ $(DOC2DASH_OPTS)
-#	cd docs/build/docset && tar --exclude='.DS_Store' -czf ../html/docset/jira.tgz jira.docset
-#	# TODO: publish the docs
 
 tag:
 	bumpversion --feature --no-input

=== docs/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 SPHINXOPTS    = -W
 SPHINXBUILD   = sphinx-build
 PAPER         =
-BUILDDIR      = build
+BUILDDIR      = $(abspath build)
 SOURCE_DATE_EPOCH = $(shell git log -1 --format=%ct)
 
 # Internal variables.
@@ -45,12 +45,12 @@
 html:
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
 	@echo
-	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."
+	@echo "Build finished. The HTML pages are in file://$(BUILDDIR)/html/index.html"
 
 dirhtml:
 	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
 	@echo
-	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."
+	@echo "Build finished. The HTML pages are in file://$(BUILDDIR)/dirhtml."
 
 singlehtml:
 	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml

=== debian/changelog ===
python-jira (3.0-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Benjamin Drung ]
  * New upstream release.
  * Remove duplicate sphinx build dependencies
  * Add build dependencies on python3-setuptools-scm and
    python3-setuptools-scm-git-archive
  * Bump Standards-Version to 4.5.0
  * Switch to debhelper 13

 -- Benjamin Drung <benjamin.drung@cloud.ionos.com>  Tue, 29 Sep 2020 16:04:23 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,12 @@
 Source: python-jira
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Sophie Brun <sophie@freexian.com>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
- python3-sphinx,
- python3-sphinx-rtd-theme,
  python3-all,
  python3-flaky,
  python3-pbr,
@@ -16,16 +14,18 @@
  python3-pytest-cov,
  python3-pytest-runner,
  python3-setuptools,
+ python3-setuptools-scm,
+ python3-setuptools-scm-git-archive,
  python3-sphinx,
  python3-sphinx-rtd-theme,
  python3-tenacity,
  subunit,
  testrepository,
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://github.com/pycontribs/jira
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-jira.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-jira
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-jira.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-jira
 Testsuite: autopkgtest-pkg-python
 
 Package: python3-jira

## python-jira 3.1.1

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
-all: info clean lint test docs dist upload release
-.PHONY: all docs upload info req dist
+all: info clean lint test docs dist
+.PHONY: all docs info req dist
 
 PACKAGE_NAME := $(shell python setup.py --name)
 PACKAGE_VERSION := $(shell python setup.py --version)
@@ -72,10 +72,9 @@
 	$(PREFIX)python setup.py sdist bdist_wheel
 
 prepare:
-	@pyenv install -s 3.5.7
 	@pyenv install -s 3.6.9
 	@pyenv install -s 3.7.4
-	@pyenv local 3.5.7 3.6.9 3.7.4
+	@pyenv local 3.6.9 3.7.4
 	@echo "INFO:	=== Preparing to run for package:$(PACKAGE_NAME) platform:$(PLATFORM) py:$(PYTHON_VERSION) dir:$(DIR) ==="
 	#if [ -f ${HOME}/testspace/testspace ]; then ${HOME}/testspace/testspace config url ${TESTSPACE_TOKEN}@pycontribs.testspace.com/jira/tests ; fi;
 
@@ -105,30 +104,5 @@
 
 tag:
 	bumpversion --feature --no-input
-	git push origin master
+	git push origin main
 	git push --tags
-
-release: req
-ifeq ($(GIT_BRANCH),master)
-	tag
-else
-	upload
-	web
-
-	@echo "INFO:	Skipping release on this branch."
-endif
-
-upload:
-	rm -f dist/*
-ifeq ($(GIT_BRANCH),develop)
-	@echo "INFO:	Upload package to testpypi.python.org"
-	$(PREFIX)python setup.py check --restructuredtext --strict
-	$(PREFIX)python setup.py sdist bdist_wheel
-	$(PREFIX)twine upload --repository-url https://test.pypi.org/legacy/ dist/*
-endif
-ifeq ($(GIT_BRANCH),master)
-	@echo "INFO:	Upload package to pypi.python.org"
-	$(PREFIX)python setup.py check --restructuredtext --strict
-	$(PREFIX)python setup.py sdist bdist_wheel
-	$(PREFIX)twine upload dist/*
-endif

=== debian/changelog ===
python-jira (3.1.1-1) unstable; urgency=medium

  * Team upload.
  * Fix dh_python depends (lintian error)
  * Add Salsa CI
  * Update standards version
  * Use local doc packages for intersphinx-mapping in documentation
    build to prevent network access during the build. (Closes: #1000182)
  * New upstream release.

 -- Neil Williams <codehelp@debian.org>  Fri, 19 Nov 2021 09:42:56 +0000

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,15 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
- python3-all,
+ python3-all:any,
  python3-flaky,
  python3-pbr,
  python3-pytest,
  python3-pytest-cov,
  python3-pytest-runner,
+ python3-keyring,
+ python3-oauthlib,
+ python3-requests-oauthlib,
  python3-setuptools,
  python3-setuptools-scm,
  python3-setuptools-scm-git-archive,
@@ -21,7 +24,11 @@
  python3-tenacity,
  subunit,
  testrepository,
-Standards-Version: 4.5.0
+ python3-doc <!nodoc>,
+ python-requests-doc <!nodoc>,
+ python-requests-oauthlib-doc <!nodoc>,
+ python-ipython-doc <!nodoc>,
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/pycontribs/jira
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-jira.git

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=jira
# The tests try to access the Internet.
export PYBUILD_DISABLE=test

%:
	dh $@ --with python3,sphinxdoc --buildsystem pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' python3 -m sphinx -N -bhtml docs/ build/html # HTML generator

## python-jira 3.2.0

=== debian/changelog ===
python-jira (3.2.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + python-jira-doc: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 16 Nov 2022 10:15:33 +0000

python-jira (3.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Neil Williams <codehelp@debian.org>  Mon, 16 May 2022 13:10:04 +0100

=== debian/control ===
--- 
+++ 
@@ -54,6 +54,7 @@
 Depends:
  ${misc:Depends},
  ${sphinxdoc:Depends},
+Multi-Arch: foreign
 Description: JIRA Python library (common documentation)
  This package contains a library that eases the use of the JIRA REST API
  from Python.

## python-jira 3.4.1

=== debian/changelog ===
python-jira (3.4.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 3.4.1.
  * Add the following packages to Build-Depends:
    * pybuild-plugin-pyproject: upstream removed setup.py
      so the traditional build results in an FTBFS.
    * python3-requests-toolbelt: upstream started using
      MultipartEncoder from requests_toolbelt.
    * furo and python3-sphinx-copybutton: new changes
      to the doc/sphinx build.

 -- Utkarsh Gupta <utkarsh@debian.org>  Thu, 16 Feb 2023 17:50:42 +0530

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,8 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
+ furo,
+ pybuild-plugin-pyproject,
  python3-all:any,
  python3-flaky,
  python3-pbr,
@@ -16,11 +18,13 @@
  python3-keyring,
  python3-oauthlib,
  python3-requests-oauthlib,
+ python3-requests-toolbelt,
  python3-setuptools,
  python3-setuptools-scm,
  python3-setuptools-scm-git-archive,
  python3-sphinx,
  python3-sphinx-rtd-theme,
+ python3-sphinx-copybutton,
  python3-tenacity,
  subunit,
  testrepository,

## python-jira 3.5.2

=== debian/changelog ===
python-jira (3.5.2-3) unstable; urgency=medium

  * Team upload.
  * Add missing build dependency (Closes: #1073359)
  * Drop salsa-ci.yml
  * Switch to autopkgtest-pkg-pybuild

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 23 Jun 2024 18:02:54 +0200

python-jira (3.5.2-2) unstable; urgency=medium

  * Team upload.

  [ Julien Puydt ]
  * Drop wrong depends on setuptools-scm-git-archive (Closes: #1050102).

  [ Michael R. Crusoe ]
  * Standards-Version: 4.6.2 (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Marked the intersphinx patch as not needing forwarding.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 23 Mar 2024 12:37:05 +0100

python-jira (3.5.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 3.5.2.

 -- Utkarsh Gupta <utkarsh@debian.org>  Mon, 14 Aug 2023 22:36:54 +0530

## python-jira 3.9.4

=== debian/changelog ===
python-jira (3.9.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - Stop using imghdr (closes: #1084531).

 -- Colin Watson <cjwatson@debian.org>  Tue, 10 Dec 2024 22:14:13 +0000

## python-jira 3.10.5

=== debian/changelog ===
python-jira (3.10.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Tue, 09 Sep 2025 17:16:43 +0100

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,9 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders:
- Sophie Brun <sophie@freexian.com>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  furo,
  pybuild-plugin-pyproject,
  python3-all:any,
@@ -21,23 +19,23 @@
  python3-requests-toolbelt,
  python3-setuptools,
  python3-setuptools-scm,
- python3-setuptools-scm-git-archive,
  python3-sphinx,
  python3-sphinx-rtd-theme,
  python3-sphinx-copybutton,
  python3-tenacity,
+ python3-typing-extensions,
  subunit,
  testrepository,
  python3-doc <!nodoc>,
  python-requests-doc <!nodoc>,
  python-requests-oauthlib-doc <!nodoc>,
  python-ipython-doc <!nodoc>,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/pycontribs/jira
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-jira.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-jira
-Testsuite: autopkgtest-pkg-python
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-jira
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 export PYBUILD_DISABLE=test
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem pybuild
+	dh $@ --with sphinxdoc --buildsystem pybuild
 
 override_dh_auto_build:
 	dh_auto_build
